/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.entity;

import java.net.URL;
import java.util.List;
import java.util.Properties;
import javax.persistence.spi.PersistenceInfo;
import javax.sql.DataSource;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.2.5 $
 */
public class PersistenceInfoImpl implements PersistenceInfo
{
   private String entityManagerName;
   private DataSource jtaDataSource;
   private DataSource nonJtaDataSource;
   private List<String> mappingFileNames;
   private List<URL> jarFiles;
   private List<String> entityclassNames;
   private Properties properties;
   private ClassLoader classLoader;
   private URL persistenceXmlFileUrl;
   private URL entityMappingsXmlFileUrl;
   private String persistenceProviderClassName;


   public PersistenceInfoImpl()
   {
   }

   public String getPersistenceProviderClassName()
   {
      return persistenceProviderClassName;
   }

   public void setPersistenceProviderClassName(String persistenceProviderClassName)
   {
      this.persistenceProviderClassName = persistenceProviderClassName;
   }

   public String getEntityManagerName()
   {
      return entityManagerName;
   }

   public void setEntityManagerName(String entityManagerName)
   {
      this.entityManagerName = entityManagerName;
   }

   public DataSource getJtaDataSource()
   {
      return jtaDataSource;
   }

   public void setJtaDataSource(DataSource jtaDataSource)
   {
      this.jtaDataSource = jtaDataSource;
   }

   public DataSource getNonJtaDataSource()
   {
      return nonJtaDataSource;
   }

   public void setNonJtaDataSource(DataSource nonJtaDataSource)
   {
      this.nonJtaDataSource = nonJtaDataSource;
   }

   public List<String> getMappingFileNames()
   {
      return mappingFileNames;
   }

   public void setMappingFileNames(List<String> mappingFileNames)
   {
      this.mappingFileNames = mappingFileNames;
   }

   public List<URL> getJarFiles()
   {
      return jarFiles;
   }

   public void setJarFiles(List<URL> jarFiles)
   {
      this.jarFiles = jarFiles;
   }

   public List<String> getEntityclassNames()
   {
      return entityclassNames;
   }

   public void setEntityclassNames(List<String> entityclassNames)
   {
      this.entityclassNames = entityclassNames;
   }

   public Properties getProperties()
   {
      return properties;
   }

   public void setProperties(Properties properties)
   {
      this.properties = properties;
   }

   public ClassLoader getClassLoader()
   {
      return classLoader;
   }

   public void setClassLoader(ClassLoader classLoader)
   {
      this.classLoader = classLoader;
   }

   public URL getPersistenceXmlFileUrl()
   {
      return persistenceXmlFileUrl;
   }

   public void setPersistenceXmlFileUrl(URL persistenceXmlFileUrl)
   {
      this.persistenceXmlFileUrl = persistenceXmlFileUrl;
   }

   public URL getEntityMappingsXmlFileUrl()
   {
      return entityMappingsXmlFileUrl;
   }

   public void setEntityMappingsXmlFileUrl(URL entityMappingsXmlFileUrl)
   {
      this.entityMappingsXmlFileUrl = entityMappingsXmlFileUrl;
   }


}
